Package org.apache.commons.imaging.formats.jpeg.segments

# Class App2Segment

java.lang.Object
org.apache.commons.imaging.common.BinaryFileParser
org.apache.commons.imaging.formats.jpeg.segments.AbstractSegment
org.apache.commons.imaging.formats.jpeg.segments.AbstractGenericSegment
org.apache.commons.imaging.formats.jpeg.segments.AppnSegment
org.apache.commons.imaging.formats.jpeg.segments.App2Segment

All Implemented Interfaces:
  `Comparable<App2Segment>`

public final class App2Segment extends AppnSegment implements Comparable<App2Segment>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `curMarker`
  `final int`
  `numMarkers`

  ### Fields inherited from class org.apache.commons.imaging.formats.jpeg.segments.AbstractSegment

  `length, marker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `App2Segment(int marker, byte[] segmentData)`
  `App2Segment(int marker, int markerLength, InputStream is2)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(App2Segment other)`
  `boolean`
  `equals(Object obj)`
  `byte[]`
  `getIccBytes()`
  `int`
  `hashCode()`

  ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.AppnSegment

  `getDescription`

  ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.AbstractGenericSegment

  `dump, dump, getSegmentData, getSegmentData, getSegmentDataAsString`

  ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.AbstractSegment

  `getSegmentType, toString`

  ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

  `debugNumber, debugNumber, getByteOrder, setByteOrder`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### curMarker

    public final int curMarker

  - ### numMarkers

    public final int numMarkers

- ## Constructor Details

  - ### App2Segment

    public App2Segment(int marker, byte[] segmentData) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

  - ### App2Segment

    public App2Segment(int marker, int markerLength, InputStream is2) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

- ## Method Details

  - ### compareTo

    public int compareTo(App2Segment other)
    Specified by:
      `compareTo` in interface `Comparable<App2Segment>`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getIccBytes

    public byte[] getIccBytes()
    Returns:
      the iccBytes

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`